View Issue Details

IDProjectCategoryView StatusLast Update
0001200bareos-core[All Projects] webuipublic2020-04-16 19:29
ReporterHiFlyerAssigned Tofrank 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformDell xps15OSUbuntuOS Version18.04
Product Version19.2.6 
Fixed in Version19.2.7 
Summary0001200: fails to restore files
DescriptionI select a file from Webui on a client. Webui show the file is selected. I then ask it to restore the file. NO run is created and no file is created in the /tmp directory. Bconsole will restore the file.
Steps To Reproduceopen Webui
open restore tab
select client
select a file
hit restore button.
Additional InformationRestore section appears as if it is working. but no run created.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactno
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001206 closedfrank form field restore job is not populated after client selection 
related to 0001187 closedarogge_adm Release Bareos 19.2.7 

Activities

HiFlyer

HiFlyer

2020-02-21 01:33

reporter   ~0003849

I just realized that after I select the file, I hit restore accepting the default item for the left hand side of the restore window. What I noticed is that under 19.2.6-2 that the "Restore Job" item is greyed out and does not allow a selection. When running bconsole, I actually have to select a restore file. Is this potentially the problem?

Related Changesets

bareos: bareos-19.2 8890becf

2020-03-02 16:20:32

frank


Committer: GitHub

Ported: N/A

Details Diff
Merge pull request 0000439 from bareos/dev/fbergkemper/bareos-19.2/webui-fix-restore-form

webui: fix restore job form element population (backport to 19.2)
Affected Issues
0001200
mod - webui/module/Restore/src/Restore/Form/RestoreForm.php Diff File

Issue History

Date Modified Username Field Change
2020-02-18 19:24 HiFlyer New Issue
2020-02-21 01:33 HiFlyer Note Added: 0003849
2020-02-28 13:37 frank Relationship added related to 0001206
2020-03-02 12:09 frank Relationship added related to 0001187
2020-03-02 12:10 frank Assigned To => frank
2020-03-02 12:10 frank Status new => assigned
2020-03-02 16:24 frank Status assigned => resolved
2020-03-02 16:24 frank Resolution open => fixed
2020-03-02 16:24 frank Fixed in Version => 19.2.7
2020-03-02 16:24 frank bareos-master: impact => yes
2020-03-02 16:24 frank bareos-master: action => fixed
2020-03-02 16:24 frank bareos-19.2: impact => yes
2020-03-02 16:24 frank bareos-19.2: action => fixed
2020-03-02 16:24 frank bareos-18.2: impact => no
2020-03-02 16:24 frank bareos-17.2: impact => no
2020-03-02 16:24 frank bareos-16.2: impact => no
2020-04-06 14:39 arogge Changeset attached => bareos bareos-19.2 8890becf
2020-04-16 19:29 arogge Status resolved => closed